DL_PublicKey< T > Class Template Referenceabstract

interface for DL public keys More...

`#include <pubkey.h>`

Inheritance diagram for DL_PublicKey< T >:

## Public Types

typedef T | Element

## Public Member Functions

bool | GetVoidValue (const char *name, const std::type_info &valueType, void *pValue) const
void | AssignFrom (const NameValuePairs &source)
virtual const Element & | GetPublicElement () const
virtual void | SetPublicElement (const Element &y)
virtual Element | ExponentiatePublicElement (const Integer &exponent) const
virtual Element | CascadeExponentiateBaseAndPublicElement (const Integer &baseExp, const Integer &publicExp) const
virtual const DL_FixedBasePrecomputation< T > & | GetPublicPrecomputation () const =0
virtual DL_FixedBasePrecomputation< T > & | AccessPublicPrecomputation ()=0
virtual const DL_GroupParameters< T > & | GetAbstractGroupParameters () const =0
virtual DL_GroupParameters< T > & | AccessAbstractGroupParameters ()=0

## Detailed Description

### template<class T>
class DL_PublicKey< T >

interface for DL public keys

Definition at line 640 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h